Create FB comment automation
Adds an automation that replies to or hides comments on a Facebook post. Use fbComments.listPosts to find an eligible post first.
curl --request POST \
--url https://app.chatbotx.io/api/v1/fb-comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"post": {
"value": [
"<string>"
]
},
"privateReply": {
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"publicReply": {
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"includeKeywords": {
"value": [
"<string>"
]
},
"excludeKeywords": [
"<string>"
],
"options": {
"replyToNewContactsOnly": true,
"replyOncePerUserPerPost": true,
"likeUserComment": true,
"replyToUsersWhoCommentedOnOtherPosts": true,
"ignoreCommentReplies": true,
"trackUserTags": true
},
"hideComments": {
"all": true,
"hasPhoneNumber": true,
"hasImage": true,
"hasVideo": true,
"hasLink": true,
"hasKeywords": true,
"keywords": [
"<string>"
]
},
"replyAfter": {
"value": 123
},
"type": "messenger",
"folderId": "<string>"
}
'import requests
url = "https://app.chatbotx.io/api/v1/fb-comments"
payload = {
"name": "<string>",
"post": { "value": ["<string>"] },
"privateReply": {
"value": "<string>",
"values": [{ "value": "<string>" }]
},
"publicReply": {
"value": "<string>",
"values": [{ "value": "<string>" }]
},
"includeKeywords": { "value": ["<string>"] },
"excludeKeywords": ["<string>"],
"options": {
"replyToNewContactsOnly": True,
"replyOncePerUserPerPost": True,
"likeUserComment": True,
"replyToUsersWhoCommentedOnOtherPosts": True,
"ignoreCommentReplies": True,
"trackUserTags": True
},
"hideComments": {
"all": True,
"hasPhoneNumber": True,
"hasImage": True,
"hasVideo": True,
"hasLink": True,
"hasKeywords": True,
"keywords": ["<string>"]
},
"replyAfter": { "value": 123 },
"type": "messenger",
"folderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
post: {value: ['<string>']},
privateReply: {value: '<string>', values: [{value: '<string>'}]},
publicReply: {value: '<string>', values: [{value: '<string>'}]},
includeKeywords: {value: ['<string>']},
excludeKeywords: ['<string>'],
options: {
replyToNewContactsOnly: true,
replyOncePerUserPerPost: true,
likeUserComment: true,
replyToUsersWhoCommentedOnOtherPosts: true,
ignoreCommentReplies: true,
trackUserTags: true
},
hideComments: {
all: true,
hasPhoneNumber: true,
hasImage: true,
hasVideo: true,
hasLink: true,
hasKeywords: true,
keywords: ['<string>']
},
replyAfter: {value: 123},
type: 'messenger',
folderId: '<string>'
})
};
fetch('https://app.chatbotx.io/api/v1/fb-comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"type": "messenger",
"isActive": true,
"startTime": "<string>",
"endTime": "<string>",
"repliesCount": -1,
"sentCount": -1,
"deliveredCount": -1,
"seenCount": -1,
"clickedCount": -1,
"failedCount": -1,
"missedCount": -1,
"post": {
"type": "published",
"value": [
"<string>"
]
},
"privateReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"publicReply": {
"type": "AIAgent",
"value": "<string>",
"values": [
{
"value": "<string>"
}
]
},
"includeKeywords": {
"type": "all",
"value": [
"<string>"
]
},
"excludeKeywords": [
"<string>"
],
"options": {
"replyToNewContactsOnly": true,
"replyOncePerUserPerPost": true,
"likeUserComment": true,
"replyToUsersWhoCommentedOnOtherPosts": true,
"ignoreCommentReplies": true,
"trackUserTags": true
},
"hideComments": {
"all": true,
"hasPhoneNumber": true,
"hasImage": true,
"hasVideo": true,
"hasLink": true,
"hasKeywords": true,
"keywords": [
"<string>"
],
"showCommentsAfter": "none"
},
"replyAfter": {
"type": "immediately",
"value": 123
},
"folderId": "<string>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Automation name.
1 - 255Facebook post to watch for comments. Get it from fbComments.listPosts.
Show child attributes
Show child attributes
Private message reply sent to the commenter, if any.
Show child attributes
Show child attributes
Public comment reply posted under the comment, if any.
Show child attributes
Show child attributes
Only trigger when the comment matches these keywords.
Show child attributes
Show child attributes
Never trigger when the comment matches these keywords.
Matching and trigger behavior options.
Show child attributes
Show child attributes
Whether to hide matching comments after replying.
Show child attributes
Show child attributes
Delay before sending the reply.
Show child attributes
Show child attributes
Automation channel type.
Folder to place the automation in, or null for root-level.
^\d+$Response
OK
messenger, instagram, instagramFacebook, threads -2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647-2147483648 <= x <= 2147483647Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
